package com.gic.haoban.manage.service.service.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeAccountInterceptLog;

/**
 * 企业微信账号拦截日志(TabHaobanQywxFeeAccountInterceptLog)表服务接口
 *
 * @author mozhu
 * @since 2022-08-10 10:27:49
 */
public interface HaobanQywxFeeAccountInterceptLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param feeAccountId 主键
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountInterceptLog queryById(Long feeAccountId);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeAccountInterceptLog 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountInterceptLog insert(TabHaobanQywxFeeAccountInterceptLog tabHaobanQywxFeeAccountInterceptLog);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFeeAccountInterceptLog 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountInterceptLog update(TabHaobanQywxFeeAccountInterceptLog tabHaobanQywxFeeAccountInterceptLog);

    /**
     * 通过主键删除数据
     *
     * @param feeAccountId 主键
     * @return 是否成功
     */
    boolean deleteById(Long feeAccountId);

}
